/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
export let RadialGaugeDescription = /*@__PURE__*/ (() => {
    class RadialGaugeDescription extends Description {
        get fontFamily() {
            return this.ds;
        }
        set fontFamily(a) {
            this.ds = a;
            this.g("FontFamily");
        }
        get fontSize() {
            return this.ar;
        }
        set fontSize(a) {
            this.ar = a;
            this.g("FontSize");
        }
        get fontWeight() {
            return this.du;
        }
        set fontWeight(a) {
            this.du = a;
            this.g("FontWeight");
        }
        get fontStyle() {
            return this.dt;
        }
        set fontStyle(a) {
            this.dt = a;
            this.g("FontStyle");
        }
        get width() {
            return this.ep;
        }
        set width(a) {
            this.ep = a;
            this.g("Width");
        }
        get height() {
            return this.dy;
        }
        set height(a) {
            this.dy = a;
            this.g("Height");
        }
        get background() {
            return this.dk;
        }
        set background(a) {
            this.dk = a;
            this.g("Background");
        }
        get_type() {
            return "RadialGauge";
        }
        get type() {
            return this.get_type();
        }
        constructor() {
            super();
            this.ds = null;
            this.ar = 0;
            this.du = null;
            this.dt = null;
            this.ep = null;
            this.dy = null;
            this.dk = null;
            this.i = null;
            this.j = null;
            this.aw = 0;
            this.ai = 0;
            this.av = 0;
            this.ah = 0;
            this.as = 0;
            this.ap = 0;
            this.aq = 0;
            this.bw = 0;
            this.bk = 0;
            this.bh = 0;
            this.d9 = null;
            this.dd = 0;
            this.en = null;
            this.d1 = null;
            this.d2 = null;
            this.ba = 0;
            this.a3 = 0;
            this.d6 = null;
            this.bb = 0;
            this.a4 = 0;
            this.a2 = 0;
            this.a1 = 0;
            this.a9 = 0;
            this.a8 = 0;
            this.a7 = 0;
            this.a5 = 0;
            this.d5 = null;
            this.bl = 0;
            this.d3 = null;
            this.d4 = null;
            this.bc = 0;
            this.a6 = 0;
            this.bi = 0;
            this.at = 0;
            this.au = 0;
            this.bq = 0;
            this.bp = 0;
            this.br = 0;
            this.eg = null;
            this.dr = null;
            this.az = 0;
            this.ay = 0;
            this.a0 = 0;
            this.d0 = null;
            this.ax = 0;
            this.d7 = null;
            this.dl = null;
            this.dm = null;
            this.ao = 0;
            this.am = 0;
            this.an = 0;
            this.bj = 0;
            this.d8 = null;
            this.ak = 0;
            this.al = 0;
            this.dn = null;
            this.k = null;
            this.bg = 0;
            this.dp = null;
            this.u = false;
            this.t = false;
            this.dq = null;
            this.dz = null;
            this.h = null;
            this.bv = 0;
            this.bf = 0;
            this.aj = 0;
            this.bd = 0;
            this.v = false;
            this.be = 0;
            this.em = null;
            this.ef = null;
            this.bs = 0;
            this.bm = 0;
            this.bt = 0;
            this.bn = 0;
            this.eh = null;
            this.ea = null;
            this.y = false;
            this.w = false;
            this.z = false;
            this.x = false;
            this.ee = null;
            this.l = null;
            this.el = null;
            this.m = null;
            this.eb = null;
            this.bo = 0;
            this.ec = null;
            this.ed = null;
            this.ei = null;
            this.bu = 0;
            this.ej = null;
            this.ek = null;
            this.dj = null;
            this.di = null;
            this.dx = null;
            this.dw = null;
            this.dv = null;
            this.dh = null;
            this.eo = null;
            this.dg = null;
            this.df = null;
        }
        get rangeBrushes() {
            return this.i;
        }
        set rangeBrushes(a) {
            this.i = a;
            this.g("RangeBrushes");
        }
        get rangeOutlines() {
            return this.j;
        }
        set rangeOutlines(a) {
            this.j = a;
            this.g("RangeOutlines");
        }
        get minimumValue() {
            return this.aw;
        }
        set minimumValue(a) {
            this.aw = a;
            this.g("MinimumValue");
        }
        get actualMinimumValue() {
            return this.ai;
        }
        set actualMinimumValue(a) {
            this.ai = a;
            this.g("ActualMinimumValue");
        }
        get maximumValue() {
            return this.av;
        }
        set maximumValue(a) {
            this.av = a;
            this.g("MaximumValue");
        }
        get actualMaximumValue() {
            return this.ah;
        }
        set actualMaximumValue(a) {
            this.ah = a;
            this.g("ActualMaximumValue");
        }
        get interval() {
            return this.as;
        }
        set interval(a) {
            this.as = a;
            this.g("Interval");
        }
        get centerX() {
            return this.ap;
        }
        set centerX(a) {
            this.ap = a;
            this.g("CenterX");
        }
        get centerY() {
            return this.aq;
        }
        set centerY(a) {
            this.aq = a;
            this.g("CenterY");
        }
        get value() {
            return this.bw;
        }
        set value(a) {
            this.bw = a;
            this.g("Value");
        }
        get scaleStartAngle() {
            return this.bk;
        }
        set scaleStartAngle(a) {
            this.bk = a;
            this.g("ScaleStartAngle");
        }
        get scaleEndAngle() {
            return this.bh;
        }
        set scaleEndAngle(a) {
            this.bh = a;
            this.g("ScaleEndAngle");
        }
        get scaleSweepDirection() {
            return this.d9;
        }
        set scaleSweepDirection(a) {
            this.d9 = a;
            this.g("ScaleSweepDirection");
        }
        get transitionDuration() {
            return this.dd;
        }
        set transitionDuration(a) {
            this.dd = a;
            this.g("TransitionDuration");
        }
        get transitionEasingFunctionRef() {
            return this.en;
        }
        set transitionEasingFunctionRef(a) {
            this.en = a;
            this.g("TransitionEasingFunctionRef");
        }
        get needleBrush() {
            return this.d1;
        }
        set needleBrush(a) {
            this.d1 = a;
            this.g("NeedleBrush");
        }
        get needleOutline() {
            return this.d2;
        }
        set needleOutline(a) {
            this.d2 = a;
            this.g("NeedleOutline");
        }
        get needleStartExtent() {
            return this.ba;
        }
        set needleStartExtent(a) {
            this.ba = a;
            this.g("NeedleStartExtent");
        }
        get needleEndExtent() {
            return this.a3;
        }
        set needleEndExtent(a) {
            this.a3 = a;
            this.g("NeedleEndExtent");
        }
        get needleShape() {
            return this.d6;
        }
        set needleShape(a) {
            this.d6 = a;
            this.g("NeedleShape");
        }
        get needleStartWidthRatio() {
            return this.bb;
        }
        set needleStartWidthRatio(a) {
            this.bb = a;
            this.g("NeedleStartWidthRatio");
        }
        get needleEndWidthRatio() {
            return this.a4;
        }
        set needleEndWidthRatio(a) {
            this.a4 = a;
            this.g("NeedleEndWidthRatio");
        }
        get needleBaseFeatureWidthRatio() {
            return this.a2;
        }
        set needleBaseFeatureWidthRatio(a) {
            this.a2 = a;
            this.g("NeedleBaseFeatureWidthRatio");
        }
        get needleBaseFeatureExtent() {
            return this.a1;
        }
        set needleBaseFeatureExtent(a) {
            this.a1 = a;
            this.g("NeedleBaseFeatureExtent");
        }
        get needlePointFeatureWidthRatio() {
            return this.a9;
        }
        set needlePointFeatureWidthRatio(a) {
            this.a9 = a;
            this.g("NeedlePointFeatureWidthRatio");
        }
        get needlePointFeatureExtent() {
            return this.a8;
        }
        set needlePointFeatureExtent(a) {
            this.a8 = a;
            this.g("NeedlePointFeatureExtent");
        }
        get needlePivotWidthRatio() {
            return this.a7;
        }
        set needlePivotWidthRatio(a) {
            this.a7 = a;
            this.g("NeedlePivotWidthRatio");
        }
        get needlePivotInnerWidthRatio() {
            return this.a5;
        }
        set needlePivotInnerWidthRatio(a) {
            this.a5 = a;
            this.g("NeedlePivotInnerWidthRatio");
        }
        get needlePivotShape() {
            return this.d5;
        }
        set needlePivotShape(a) {
            this.d5 = a;
            this.g("NeedlePivotShape");
        }
        get scaleStartExtent() {
            return this.bl;
        }
        set scaleStartExtent(a) {
            this.bl = a;
            this.g("ScaleStartExtent");
        }
        get needlePivotBrush() {
            return this.d3;
        }
        set needlePivotBrush(a) {
            this.d3 = a;
            this.g("NeedlePivotBrush");
        }
        get needlePivotOutline() {
            return this.d4;
        }
        set needlePivotOutline(a) {
            this.d4 = a;
            this.g("NeedlePivotOutline");
        }
        get needleStrokeThickness() {
            return this.bc;
        }
        set needleStrokeThickness(a) {
            this.bc = a;
            this.g("NeedleStrokeThickness");
        }
        get needlePivotStrokeThickness() {
            return this.a6;
        }
        set needlePivotStrokeThickness(a) {
            this.a6 = a;
            this.g("NeedlePivotStrokeThickness");
        }
        get scaleEndExtent() {
            return this.bi;
        }
        set scaleEndExtent(a) {
            this.bi = a;
            this.g("ScaleEndExtent");
        }
        get labelExtent() {
            return this.at;
        }
        set labelExtent(a) {
            this.at = a;
            this.g("LabelExtent");
        }
        get labelInterval() {
            return this.au;
        }
        set labelInterval(a) {
            this.au = a;
            this.g("LabelInterval");
        }
        get tickStartExtent() {
            return this.bq;
        }
        set tickStartExtent(a) {
            this.bq = a;
            this.g("TickStartExtent");
        }
        get tickEndExtent() {
            return this.bp;
        }
        set tickEndExtent(a) {
            this.bp = a;
            this.g("TickEndExtent");
        }
        get tickStrokeThickness() {
            return this.br;
        }
        set tickStrokeThickness(a) {
            this.br = a;
            this.g("TickStrokeThickness");
        }
        get tickBrush() {
            return this.eg;
        }
        set tickBrush(a) {
            this.eg = a;
            this.g("TickBrush");
        }
        get fontBrush() {
            return this.dr;
        }
        set fontBrush(a) {
            this.dr = a;
            this.g("FontBrush");
        }
        get minorTickStartExtent() {
            return this.az;
        }
        set minorTickStartExtent(a) {
            this.az = a;
            this.g("MinorTickStartExtent");
        }
        get minorTickEndExtent() {
            return this.ay;
        }
        set minorTickEndExtent(a) {
            this.ay = a;
            this.g("MinorTickEndExtent");
        }
        get minorTickStrokeThickness() {
            return this.a0;
        }
        set minorTickStrokeThickness(a) {
            this.a0 = a;
            this.g("MinorTickStrokeThickness");
        }
        get minorTickBrush() {
            return this.d0;
        }
        set minorTickBrush(a) {
            this.d0 = a;
            this.g("MinorTickBrush");
        }
        get minorTickCount() {
            return this.ax;
        }
        set minorTickCount(a) {
            this.ax = a;
            this.g("MinorTickCount");
        }
        get scaleBrush() {
            return this.d7;
        }
        set scaleBrush(a) {
            this.d7 = a;
            this.g("ScaleBrush");
        }
        get backingBrush() {
            return this.dl;
        }
        set backingBrush(a) {
            this.dl = a;
            this.g("BackingBrush");
        }
        get backingOutline() {
            return this.dm;
        }
        set backingOutline(a) {
            this.dm = a;
            this.g("BackingOutline");
        }
        get backingStrokeThickness() {
            return this.ao;
        }
        set backingStrokeThickness(a) {
            this.ao = a;
            this.g("BackingStrokeThickness");
        }
        get backingOuterExtent() {
            return this.am;
        }
        set backingOuterExtent(a) {
            this.am = a;
            this.g("BackingOuterExtent");
        }
        get backingOversweep() {
            return this.an;
        }
        set backingOversweep(a) {
            this.an = a;
            this.g("BackingOversweep");
        }
        get scaleOversweep() {
            return this.bj;
        }
        set scaleOversweep(a) {
            this.bj = a;
            this.g("ScaleOversweep");
        }
        get scaleOversweepShape() {
            return this.d8;
        }
        set scaleOversweepShape(a) {
            this.d8 = a;
            this.g("ScaleOversweepShape");
        }
        get backingCornerRadius() {
            return this.ak;
        }
        set backingCornerRadius(a) {
            this.ak = a;
            this.g("BackingCornerRadius");
        }
        get backingInnerExtent() {
            return this.al;
        }
        set backingInnerExtent(a) {
            this.al = a;
            this.g("BackingInnerExtent");
        }
        get backingShape() {
            return this.dn;
        }
        set backingShape(a) {
            this.dn = a;
            this.g("BackingShape");
        }
        get ranges() {
            return this.k;
        }
        set ranges(a) {
            this.k = a;
            this.g("Ranges");
        }
        get radiusMultiplier() {
            return this.bg;
        }
        set radiusMultiplier(a) {
            this.bg = a;
            this.g("RadiusMultiplier");
        }
        get duplicateLabelOmissionStrategy() {
            return this.dp;
        }
        set duplicateLabelOmissionStrategy(a) {
            this.dp = a;
            this.g("DuplicateLabelOmissionStrategy");
        }
        get isNeedleDraggingEnabled() {
            return this.u;
        }
        set isNeedleDraggingEnabled(a) {
            this.u = a;
            this.g("IsNeedleDraggingEnabled");
        }
        get isNeedleDraggingConstrained() {
            return this.t;
        }
        set isNeedleDraggingConstrained(a) {
            this.t = a;
            this.g("IsNeedleDraggingConstrained");
        }
        get font() {
            return this.dq;
        }
        set font(a) {
            this.dq = a;
            this.g("Font");
        }
        get labelFormat() {
            return this.dz;
        }
        set labelFormat(a) {
            this.dz = a;
            this.g("LabelFormat");
        }
        get labelFormatSpecifiers() {
            return this.h;
        }
        set labelFormatSpecifiers(a) {
            this.h = a;
            this.g("LabelFormatSpecifiers");
        }
        get transitionProgress() {
            return this.bv;
        }
        set transitionProgress(a) {
            this.bv = a;
            this.g("TransitionProgress");
        }
        get pixelScalingRatio() {
            return this.bf;
        }
        set pixelScalingRatio(a) {
            this.bf = a;
            this.g("PixelScalingRatio");
        }
        get actualPixelScalingRatio() {
            return this.aj;
        }
        set actualPixelScalingRatio(a) {
            this.aj = a;
            this.g("ActualPixelScalingRatio");
        }
        get opticalScalingRatio() {
            return this.bd;
        }
        set opticalScalingRatio(a) {
            this.bd = a;
            this.g("OpticalScalingRatio");
        }
        get opticalScalingEnabled() {
            return this.v;
        }
        set opticalScalingEnabled(a) {
            this.v = a;
            this.g("OpticalScalingEnabled");
        }
        get opticalScalingSize() {
            return this.be;
        }
        set opticalScalingSize(a) {
            this.be = a;
            this.g("OpticalScalingSize");
        }
        get titleText() {
            return this.em;
        }
        set titleText(a) {
            this.em = a;
            this.g("TitleText");
        }
        get subtitleText() {
            return this.ef;
        }
        set subtitleText(a) {
            this.ef = a;
            this.g("SubtitleText");
        }
        get titleAngle() {
            return this.bs;
        }
        set titleAngle(a) {
            this.bs = a;
            this.g("TitleAngle");
        }
        get subtitleAngle() {
            return this.bm;
        }
        set subtitleAngle(a) {
            this.bm = a;
            this.g("SubtitleAngle");
        }
        get titleExtent() {
            return this.bt;
        }
        set titleExtent(a) {
            this.bt = a;
            this.g("TitleExtent");
        }
        get subtitleExtent() {
            return this.bn;
        }
        set subtitleExtent(a) {
            this.bn = a;
            this.g("SubtitleExtent");
        }
        get titleBrush() {
            return this.eh;
        }
        set titleBrush(a) {
            this.eh = a;
            this.g("TitleBrush");
        }
        get subtitleBrush() {
            return this.ea;
        }
        set subtitleBrush(a) {
            this.ea = a;
            this.g("SubtitleBrush");
        }
        get titleDisplaysValue() {
            return this.y;
        }
        set titleDisplaysValue(a) {
            this.y = a;
            this.g("TitleDisplaysValue");
        }
        get subtitleDisplaysValue() {
            return this.w;
        }
        set subtitleDisplaysValue(a) {
            this.w = a;
            this.g("SubtitleDisplaysValue");
        }
        get titleSnapsToNeedlePivot() {
            return this.z;
        }
        set titleSnapsToNeedlePivot(a) {
            this.z = a;
            this.g("TitleSnapsToNeedlePivot");
        }
        get subtitleSnapsToNeedlePivot() {
            return this.x;
        }
        set subtitleSnapsToNeedlePivot(a) {
            this.x = a;
            this.g("SubtitleSnapsToNeedlePivot");
        }
        get subtitleFormat() {
            return this.ee;
        }
        set subtitleFormat(a) {
            this.ee = a;
            this.g("SubtitleFormat");
        }
        get subtitleFormatSpecifiers() {
            return this.l;
        }
        set subtitleFormatSpecifiers(a) {
            this.l = a;
            this.g("SubtitleFormatSpecifiers");
        }
        get titleFormat() {
            return this.el;
        }
        set titleFormat(a) {
            this.el = a;
            this.g("TitleFormat");
        }
        get titleFormatSpecifiers() {
            return this.m;
        }
        set titleFormatSpecifiers(a) {
            this.m = a;
            this.g("TitleFormatSpecifiers");
        }
        get subtitleFontFamily() {
            return this.eb;
        }
        set subtitleFontFamily(a) {
            this.eb = a;
            this.g("SubtitleFontFamily");
        }
        get subtitleFontSize() {
            return this.bo;
        }
        set subtitleFontSize(a) {
            this.bo = a;
            this.g("SubtitleFontSize");
        }
        get subtitleFontStyle() {
            return this.ec;
        }
        set subtitleFontStyle(a) {
            this.ec = a;
            this.g("SubtitleFontStyle");
        }
        get subtitleFontWeight() {
            return this.ed;
        }
        set subtitleFontWeight(a) {
            this.ed = a;
            this.g("SubtitleFontWeight");
        }
        get titleFontFamily() {
            return this.ei;
        }
        set titleFontFamily(a) {
            this.ei = a;
            this.g("TitleFontFamily");
        }
        get titleFontSize() {
            return this.bu;
        }
        set titleFontSize(a) {
            this.bu = a;
            this.g("TitleFontSize");
        }
        get titleFontStyle() {
            return this.ej;
        }
        set titleFontStyle(a) {
            this.ej = a;
            this.g("TitleFontStyle");
        }
        get titleFontWeight() {
            return this.ek;
        }
        set titleFontWeight(a) {
            this.ek = a;
            this.g("TitleFontWeight");
        }
        get alignTitleRef() {
            return this.dj;
        }
        set alignTitleRef(a) {
            this.dj = a;
            this.g("AlignTitleRef");
        }
        get alignSubtitleRef() {
            return this.di;
        }
        set alignSubtitleRef(a) {
            this.di = a;
            this.g("AlignSubtitleRef");
        }
        get formatTitleRef() {
            return this.dx;
        }
        set formatTitleRef(a) {
            this.dx = a;
            this.g("FormatTitleRef");
        }
        get formatSubtitleRef() {
            return this.dw;
        }
        set formatSubtitleRef(a) {
            this.dw = a;
            this.g("FormatSubtitleRef");
        }
        get formatLabelRef() {
            return this.dv;
        }
        set formatLabelRef(a) {
            this.dv = a;
            this.g("FormatLabelRef");
        }
        get alignLabelRef() {
            return this.dh;
        }
        set alignLabelRef(a) {
            this.dh = a;
            this.g("AlignLabelRef");
        }
        get valueChangedRef() {
            return this.eo;
        }
        set valueChangedRef(a) {
            this.eo = a;
            this.g("ValueChangedRef");
        }
        get actualMinimumValueChangeRef() {
            return this.dg;
        }
        set actualMinimumValueChangeRef(a) {
            this.dg = a;
            this.g("ActualMinimumValueChangeRef");
        }
        get actualMaximumValueChangeRef() {
            return this.df;
        }
        set actualMaximumValueChangeRef(a) {
            this.df = a;
            this.g("ActualMaximumValueChangeRef");
        }
    }
    RadialGaugeDescription.$t = /*@__PURE__*/ markType(RadialGaugeDescription, 'RadialGaugeDescription', Description.$);
    return RadialGaugeDescription;
})();
